centos 安装sbt

1.yum install sbt

2.如果不行,则

curl https://bintray.com/sbt/rpm/rpm > bintray-sbt-rpm.repo
sudo mv bintray-sbt-rpm.repo /etc/yum.repos.d/
sudo yum install sbt

sbt 二进制文件发布到 Bintray,而Bintray 方便地提供了RPM资源库。你只需要将存储库添加到你的软件包管理器将检查的地方。

3.手动安装,目前官网提供的是可以直接运行的地址:http://www.scala-sbt.org/download.html

下载后是个sbt目录,首先赋权限:chmod u+x sbt,再将sbt加入到path里,source下即可使用

注意:由于网络的原因,所以当你输入sbt命令的时候,会出现卡着的情况,实际上这是在下载相关的依赖包,一定要耐心等!我直接开了后台进程等让它慢慢下载的,估计好几个小时...另外由于sbt默认的repository是maven,里面有些会被墙,因此建议使用oschina的repository。使用方法是:

cd ~/.sbt/

新建个文件:repositories

vim repositories

[repositories]  
local  
osc: http://maven.oschina.net/content/groups/public/  
typesafe: http://repo.typesafe.com/typesafe/ivy-releases/, [organization]/[module]/(scala_[scalaVersion]/)(sbt_[sbtVersion]/)[revision]/[type]s/[artifact](-[classifier]).[ext], bootOnly  
sonatype-oss-releases  
maven-central  
sonatype-oss-snapshots  

保存即可

另外有时候输入sbt的时候会提示一个lock文件,这个是在~/.sbt目录下面的boot文件夹下,删除即可。另外查看下载信息可查看boot文件夹下的update.log

最后终于可以用了....

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

相关文章

来自专栏张戈的专栏

分享一个SSL证书在线转换工具,以及IIS7环境下开通https的方法

衔接上一篇文章,提到了公司只能提供 Nginx 下的 SSL 证书,却要在 IIS 里面开启 https 这个问题。本来想去申请上次分享的沃通免费 SSL 证书...

4948
来自专栏有困难要上,没有困难创造困难也要上!

Windows上使用AutoHotkey工具来切换用户执行命令

1732
来自专栏云计算教程系列

通过SSHFS远程挂载文件夹,方便远程coding!

很多情况下,从服务器传输文件会得很麻烦。想象一下开发使用场景,您正本地为服务器编写软件,并自己将脚本重复上传到服务器进行测试。这可能会变得非常麻烦。但是,有一种...

2095
来自专栏Laoqi's Linux运维专列

yum扩展,源码包安装

yum更换国内源 由于系统自带的yum源几乎全部来自国外,当你下载一个大点的文件+安装包需要等待很长时间,为了节约时间,现在更换成国内的yum源! # cd /...

3506
来自专栏13blog.site

Spring+SpringMVC+MyBatis+easyUI整合基础篇(十)SVN搭建

前言 前面一篇文章讲了一下版本控制,但其实这一篇并没有打算讲细节的,感觉应该自己去动手弄一下,后来考虑了一下,版本控制真的挺重要的,如果自己实在搭建不好反而不去...

2665
来自专栏云计算教程系列

如何在Ubuntu 18.04上安装Apache Tomcat 9

Apache Tomcat是一个Web服务器和servlet容器,用于为Java应用程序提供服务。Tomcat是Apache Software Foundati...

1012
来自专栏林德熙的博客

git 合并两个仓库

582
来自专栏贾老师の博客

git 简易使用备忘

1042
来自专栏Dato

Maven的作用是什么

现在我们开发的项目基本上都是maven项目,maven项目也是一个项目,类似于javaProject,javaWebProject,就是多了些功能。 那就说说究...

31711
来自专栏散尽浮华

libc.so.6: version 'GLIBC_2.14' not found报错提示的解决方案

线上一台服务器在执行leveldb程序的时候,报错:"libc.so.6: version `GLIBC_2.14' not found"。 排查原因及解决方法...

4074

扫描关注云+社区